<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $url = $_POST["name"];
        $country = $_POST["country"];
    
    $time = $_POST["followerCount"];
    parse_str(parse_url($url, PHP_URL_QUERY), $queryParams);

    // Save the video ID into a variable
    $videoID = $queryParams['v'];
    
   
} else {
    // Redirect to the form if accessed directly without submission
    header("Location: https://tiktokscraper.com/");
    exit();
}
?>



<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta http-equiv="refresh" content="  <?php echo "$time"; ?>;url=https://tiktokscraper.com/yt/ttif-start.php">
    <title>TikTok Scraper Trial Version</title>

    <link rel="shortcut icon" href="https://tiktokscraper.com/favicon.ico">
    <link rel="stylesheet" href="https://tiktokscraper.com/vendors/owl-carousel/css/owl.carousel.min.css">
    <link rel="stylesheet" href="https://tiktokscraper.com/vendors/owl-carousel/css/owl.theme.default.css">
    <link rel="stylesheet" href="https://tiktokscraper.com/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="https://tiktokscraper.com/vendors/aos/css/aos.css">
    <link rel="stylesheet" href="https://tiktokscraper.com/css/style.min.css">

    <style>
        .center {
            text-align: center;
        }

        .grid-container {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            grid-gap: 20px;
            justify-items: center;
            margin-top: 20px;
        }

        .grid-item {
            text-align: center;
            width: 100%;
        }

        .grid-item iframe {
            width: 100%;
            max-width: 300px;
            height: auto;
            aspect-ratio: 16/9;
        }

        .grid-item h3 {
            margin-bottom: 10px;
            font-size: 18px;
            font-weight: bold;
        }

        .grid-item p {
            margin-top: 10px;
            font-size: 14px;
            color: #666;
        }

        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
        }

        .rounded-form {
            background-color: #fff;
            border-radius: 10px;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        .form-group {
            margin-bottom: 15px;
        }

        button {
            background-color: #4caf50;
            color: #fff;
            padding: 10px 15px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        button:hover {
            background-color: #45a049;
        }

        /* Title and description styling */
        .page-title {
            text-align: center;
            margin-top: 20px;
        }

        .page-description {
            text-align: center;
            font-size: 16px;
            color: #555;
            margin-bottom: 30px;
        }

        /* Padding at the top */
        .content-wrapper {
            padding-top: 50px; /* Ensures content isn't hidden at the top */
        }

        /* Left align styling for Trial Version and Activate Software */
        .left-panel {
            text-align: left;
            padding-left: 20px;
            margin-bottom: 20px;
        }

        .left-panel h5 {
            font-size: 16px;
            margin-bottom: 10px;
        }

        .left-panel a {
            text-decoration: none;
            color: #4caf50;
        }

        .left-panel a:hover {
            color: #45a049;
        }
    </style>
</head>
<body id="body" data-spy="scroll" data-target=".navbar" data-offset="100">
    <div class="content-wrapper">
        <div class="container">
            
           

            <div class="center">
                <div class="rounded-form">
                    <!-- Left-aligned Trial Version and Activate Software -->
                    <div class="left-panel">
                        <h4>Trial Version</h4>
                        <a href="select-plan.php">Activate Software</a>
                    </div>

                    <div class="form-group">
                        <h2>Export Followers</h2>
                        <?php echo "$time"; ?>
                          <?php echo "$country"; ?>
                        <button id="generate">Scrape User ID's</button>
                        <button id="download" style="display:none;">Export Users to CSV</button>
                        <button id="import" style="display:none;" onclick="window.location.href='ttlogin.php';">Next Step</button>
                    </div>

                    <!-- 3x3 Grid of Videos with Titles and Descriptions -->
                    <div class="grid-container">
                        <div class="grid-item">
                            <h3>Video Title 1</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 1.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 2</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 2.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 3</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 3.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 4</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 4.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 5</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 5.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 6</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 6.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 7</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 7.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 8</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 8.</p>
                        </div>

                        <div class="grid-item">
                            <h3>Video Title 9</h3>
                            <iframe src="https://www.youtube.com/embed/<?php echo "$videoID"; ?>?autoplay=1&mute=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
                            <p>This is the description for Video 9.</p>
                        </div>
                    </div>

                    <p>You are currently using the trial version of this software, which allows you to export 50 follower IDs only. To access additional features, including the ability to add followers, please <a href="select-plan.php">activate</a> the software. <a href="select-plan.php">Click Here</a> to select a plan and activate TikTok Scraper software. For further assistance or inquiries, contact us at support@tiktokscraper.com</p>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
