<!DOCTYPE html>
<html lang="en">
<head>
<title>TikTok Scraper Trial Version</title>

<link rel="shortcut icon" href="https://tiktokscraper.com/favicon.ico">

<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<link rel="stylesheet" href="https://tiktokscraper.com/vendors/owl-carousel/css/owl.carousel.min.css">
<link rel="stylesheet" href="https://tiktokscraper.com/vendors/owl-carousel/css/owl.theme.default.css">
<link rel="stylesheet" href="https://tiktokscraper.com/vendors/mdi/css/materialdesignicons.min.css">
<link rel="stylesheet" href="https://tiktokscraper.com/vendors/aos/css/aos.css">
<link rel="stylesheet" href="https://tiktokscraper.com/css/style.min.css">

<style>
.center {
  text-align: center;
}

body1111 {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.rounded-form {
  background-color: #fff;
  border-radius: 10px;
  padding: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.form-group {
  margin-bottom: 15px;
}

label {
  display: block;
  margin-bottom: 8px;
}

input,
select {
  width: 50%;
  padding: 10px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 5px;
}

button {
  background-color: #4caf50;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}

.left1 {
  text-align: left;
}
</style>

</head>
<body id="body" data-spy="scroll" data-target=".navbar" data-offset="100">

<div class="content-wrapper">
  <div class="container">

    <div class="center">
      <div class="rounded-form">
        <div class="left1">
          <h5>Trial Version</h5>
          <a href="select-plan.php">Activate Software</a>
        </div>

        <br><br><br><br><br>

        <form action="ttif-select.php" method="post">
          <div class="form-group">
            <label for="name">Enter Competitor TikTok Profile Username (Ex: alanwalkermusic):</label>
            <br>
            <input type="text" id="name" name="name" required>
          </div>

          <br>

          <!-- Range Slider -->
          <div class="form-group">
            <label for="followerCount">Select Number of Followers to Scrape (10 to 500):</label>
            <br>
            <input type="range" id="followerCount" name="followerCount" min="10" max="500" value="50" oninput="document.getElementById('followerValue').innerText = this.value">
            <span id="followerValue">50</span>
          </div>

          <br>

          <!-- Country Select Dropdown -->
          <div class="form-group">
            <label for="country">Select Country:</label>
            <br>
            <select id="country" name="country" required>
              <option value="">-- Select Country --</option>

              <!-- Top 5 most populated countries -->
              <option value="China">China</option>
              <option value="India">India</option>
              <option value="United States">United States</option>
              <option value="Indonesia">Indonesia</option>
              <option value="Pakistan">Pakistan</option>

              <!-- Other countries sorted alphabetically -->
              <option value="Bangladesh">Bangladesh</option>
              <option value="Brazil">Brazil</option>
              <option value="DR Congo">DR Congo</option>
              <option value="Egypt">Egypt</option>
              <option value="Ethiopia">Ethiopia</option>
              <option value="France">France</option>
              <option value="Germany">Germany</option>
              <option value="Iran">Iran</option>
              <option value="Italy">Italy</option>
              <option value="Japan">Japan</option>
              <option value="Mexico">Mexico</option>
              <option value="Nigeria">Nigeria</option>
              <option value="Philippines">Philippines</option>
              <option value="Russia">Russia</option>
              <option value="South Africa">South Africa</option>
              <option value="South Korea">South Korea</option>
              <option value="Spain">Spain</option>
              <option value="Thailand">Thailand</option>
              <option value="Turkey">Turkey</option>
              <option value="Ukraine">Ukraine</option>
              <option value="United Kingdom">United Kingdom</option>
              <option value="Vietnam">Vietnam</option>
              <option value="Argentina">Argentina</option>
              <option value="Colombia">Colombia</option>
              <option value="Poland">Poland</option>
              <option value="Canada">Canada</option>
              <option value="Saudi Arabia">Saudi Arabia</option>
              <option value="Uzbekistan">Uzbekistan</option>
              <option value="Malaysia">Malaysia</option>
              <option value="Nepal">Nepal</option>
              <option value="Venezuela">Venezuela</option>
              <option value="Peru">Peru</option>
              <option value="Angola">Angola</option>
              <option value="Mozambique">Mozambique</option>
              <option value="Ghana">Ghana</option>
              <option value="Yemen">Yemen</option>
              <option value="Afghanistan">Afghanistan</option>
              <option value="Ivory Coast">Ivory Coast</option>
              <option value="Madagascar">Madagascar</option>
              <option value="Australia">Australia</option>
              <option value="North Korea">North Korea</option>
              <option value="Cameroon">Cameroon</option>
            </select>
          </div>

          <br>

          <div class="form-group">
            <button type="submit">Submit</button>
          </div>
        </form>

        <br><br><br>

        <p>You are currently using the trial version of this software, which allows you to export 50 follower IDs only. To access additional features, including the ability to add followers, please <a href="select-plan.php">activate</a> the software. <a href="select-plan.php">Click Here</a> to select plan and activate TikTok Scraper software. For further assistance or inquiries, contact us at support@tiktokscraper.com</p>
      </div>
    </div>

  </div>
</div>

</body>
</html>
